## osinfo_firmware

osinfo_firmware — A firmware representation for a (guest) OS

## Functions

OsinfoFirmware * | osinfo_firmware_new ()
const gchar * | osinfo_firmware_get_architecture ()
const gchar * | osinfo_firmware_get_firmware_type ()
gboolean | osinfo_firmware_is_supported ()

## Types and Values

#define | OSINFO_TYPE_FIRMWARE
#define | OSINFO_FIRMWARE_PROP_ARCHITECTURE
#define | OSINFO_FIRMWARE_PROP_TYPE
#define | OSINFO_FIRMWARE_PROP_SUPPORTED

## Description

OsinfoFirmware is an entity representing a firmware used to boot a (guest) operating system.

## Functions

### osinfo_firmware_new ()

    OsinfoFirmware *
    osinfo_firmware_new (const gchar *id,
                         const gchar *architecture,
                         const gchar *type);

### osinfo_firmware_get_architecture ()

    const gchar *
    osinfo_firmware_get_architecture (OsinfoFirmware *firmware);

Retrieves the target hardware architecture of the OS `firmware` provides.

#### Parameters

firmware | an OsinfoFirmware instance |

#### Returns

the hardware architecture, or NULL.

[transfer none]

Since: 1.7.0

### osinfo_firmware_get_firmware_type ()

    const gchar *
    osinfo_firmware_get_firmware_type (OsinfoFirmware *firmware);

The type of the `firmware`

#### Parameters

firmware | an OsinfoFirmware instance |

#### Returns

the type, or NULL.

[transfer none]

Since: 1.7.0

### osinfo_firmware_is_supported ()

    gboolean
    osinfo_firmware_is_supported (OsinfoFirmware *firmware);

Whether the `firmware` is supported or not

#### Parameters

firmware | an OsinfoFirmware instance |

#### Returns

TRUE if supported, FALSE otherwise.

Since: 1.8.0

## Types and Values

### OSINFO_TYPE_FIRMWARE

    #define OSINFO_TYPE_FIRMWARE (osinfo_firmware_get_type ())

### OSINFO_FIRMWARE_PROP_ARCHITECTURE

    #define OSINFO_FIRMWARE_PROP_ARCHITECTURE   "architecture"

### OSINFO_FIRMWARE_PROP_TYPE

    #define OSINFO_FIRMWARE_PROP_TYPE           "type"

### OSINFO_FIRMWARE_PROP_SUPPORTED

    #define OSINFO_FIRMWARE_PROP_SUPPORTED      "supported"

## See Also

OsinfoOs